Package org.sunflow.core

## Interface Filter

- All Known Implementing Classes:
    `BlackmanHarrisFilter`, `BoxFilter`, `CatmullRomFilter`, `CubicBSpline`, `GaussianFilter`, `LanczosFilter`, `MitchellFilter`, `SincFilter`, `TriangleFilter`

      public interface Filter

  Represents a multi-pixel image filter kernel.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `get​(float x, float y)` | Get value of the filter at offset (x, y).
    `float` | `getSize()` | Width in pixels of the filter extents.

- - ### Method Detail

    - #### getSize

          float getSize()

      Width in pixels of the filter extents. The filter will be applied to the range of pixels within a box of `+/- getSize() / 2` around the center of the pixel.
      Returns:
        width in pixels

    - #### get

          float get​(float x,
                    float y)

      Get value of the filter at offset (x, y). The filter should never be called with values beyond its extents but should return 0 in those cases anyway.
      Parameters:
        `x` - x offset in pixels
        `y` - y offset in pixels
      Returns:
        value of the filter at the specified location